Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.probe.aspectj.operationExecution
Class OperationExecutionAspectAnnotationServlet

    java.lang.Object
      kieker.monitoring.probe.aspectj.AbstractAspectJProbe
          kieker.monitoring.probe.aspectj.operationExecution.AbstractOperationExecutionAspect
              kieker.monitoring.probe.aspectj.operationExecution.AbstractOperationExecutionAspectServlet
                  kieker.monitoring.probe.aspectj.operationExecution.OperationExecutionAspectAnnotationServlet

All Implemented Interfaces:
  IMonitoringProbe

    public class OperationExecutionAspectAnnotationServlet

extends AbstractOperationExecutionAspectServlet

Since:
  1.3
Author:
  Jan Waller

Constructor Summary
`OperationExecutionAspectAnnotationServlet()` Default constructor.

Method Summary
`void` | `monitoredOperation()` The pointcut for the monitored operations.
`void` | `monitoredServlet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class kieker.monitoring.probe.aspectj.operationExecution.AbstractOperationExecutionAspectServlet
`servlet`

Methods inherited from class kieker.monitoring.probe.aspectj.operationExecution.AbstractOperationExecutionAspect
`operation`

Methods inherited from class kieker.monitoring.probe.aspectj.AbstractAspectJProbe
`getter, noGetterAndSetter, notWithinKieker, setter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationExecutionAspectAnnotationServlet

    public OperationExecutionAspectAnnotationServlet()

  Default constructor.

Method Detail

### monitoredServlet

    public void monitoredServlet(javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response)

  Specified by:
    `monitoredServlet` in class `AbstractOperationExecutionAspectServlet`

### monitoredOperation

    public void monitoredOperation()

  Description copied from class: `AbstractOperationExecutionAspect`
  The pointcut for the monitored operations. Inheriting classes should extend the pointcut in order to find the correct executions of the methods (e.g. all methods or only methods with specific annotations).

  Specified by:
    `monitoredOperation` in class `AbstractOperationExecutionAspect`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net